Bug 67453

Summary: REGRESSION(r94274): FormManagerTest.PreviewForm and FillFormNonEmptyField fail on chromium
Product: WebKit Reporter: Ryosuke Niwa <rniwa>
Component: FormsAssignee: Ryosuke Niwa <rniwa>
Status: RESOLVED FIXED    
Severity: Normal CC: darin, dglazkov, fishd, gns, gustavo.noronha, honten, isherman, jhawkins, tkent, xan.lopez, zelidrag
Priority: P1    
Version: 528+ (Nightly build)   
Hardware: Unspecified   
OS: Unspecified   
Attachments:
Description Flags
fixes the bug
none
Fixed win & gtk builds tkent: review+, gustavo.noronha: commit-queue-

Description Ryosuke Niwa 2011-09-01 16:33:07 PDT
After r94274, FormManagerTest.PreviewForm and FillFormNonEmptyField are failing on chromium.
Comment 1 Ryosuke Niwa 2011-09-01 16:33:51 PDT
http://code.google.com/p/chromium/issues/detail?id=95048

Comment 6 by isherman@chromium.org, Today (2 hours ago)
It looks like the problem is that setSuggestedValue() is not updating the renderer.

> All these auto-fill tests are super annoying.  Someone should make a corresponding WebKit test so that I don't have to debug chromium.  I'll debug it tomorrow.

Or you could add layout tests along with your fix ;)  There aren't a lot of existing layout tests in this area because DRT only recently gained the necessary infrastructure to write such tests.

Comment 8 by rniwa@chromium.org, Today (2 hours ago)
Indeed. I bet we just need to replace the call to updateFromElement by a call to updateInnerTextValue in HTMLInputElement::setSuggestedValue.
http://trac.webkit.org/browser/trunk/Source/WebCore/html/HTMLInputElement.cpp#L1066
Comment 2 Ryosuke Niwa 2011-09-03 18:33:59 PDT
Created attachment 106269 [details]
fixes the bug
Comment 4 Collabora GTK+ EWS bot 2011-09-03 18:50:32 PDT
Comment on attachment 106269 [details]
fixes the bug

Attachment 106269 [details] did not pass gtk-ews (gtk):
Output: http://queues.webkit.org/results/9587405
Comment 5 Darin Adler 2011-09-03 20:54:32 PDT
Comment on attachment 106269 [details]
fixes the bug

View in context: https://bugs.webkit.org/attachment.cgi?id=106269&action=review

> Source/WebCore/ChangeLog:8
> +        Fixed the bug by updating inner text value in setSuggestedValue.

I couldn’t find that change in the patch.
Comment 6 Ryosuke Niwa 2011-09-03 22:20:02 PDT
(In reply to comment #5)
> (From update of attachment 106269 [details])
> View in context: https://bugs.webkit.org/attachment.cgi?id=106269&action=review
> 
> > Source/WebCore/ChangeLog:8
> > +        Fixed the bug by updating inner text value in setSuggestedValue.
> 
> I couldn’t find that change in the patch.

Oops, I apparently reverted the change temporarily to test my test and forget to un-revert it.  Will post a new patch in a few minutes.
Comment 7 Ryosuke Niwa 2011-09-03 22:31:33 PDT
Created attachment 106278 [details]
Fixed win & gtk builds
Comment 8 Collabora GTK+ EWS bot 2011-09-04 00:37:49 PDT
Comment on attachment 106278 [details]
Fixed win & gtk builds

Attachment 106278 [details] did not pass gtk-ews (gtk):
Output: http://queues.webkit.org/results/9590321
Comment 9 Kent Tamura 2011-09-04 21:16:55 PDT
Comment on attachment 106278 [details]
Fixed win & gtk builds

Looks good.
Comment 10 Ryosuke Niwa 2011-09-05 00:16:35 PDT
Can someone who has access to GTK+ environment tell me what the C++ mangled name for WebCore::HTMLInputElement::suggestedValue() const is?
Comment 11 Ryosuke Niwa 2011-09-06 11:25:46 PDT
(In reply to comment #10)
> Can someone who has access to GTK+ environment tell me what the C++ mangled name for WebCore::HTMLInputElement::suggestedValue() const is?

It should be _ZNK7WebCore16HTMLInputElement14suggestedValueEv.
Comment 12 Ryosuke Niwa 2011-09-06 11:59:48 PDT
Committed r94586: <http://trac.webkit.org/changeset/94586>